{
  "name": "imexrps",
  "productName": "ImEX RPS",
  "author": "ImEX Systems Inc. <support@thinkimex.com>",
  "description": "ImEX RPS",
  "version": "1.0.0",
  "main": "electron/main.js",
  "homepage": "./",
  "dependencies": {
    "@apollo/client": "^3.2.4",
    "@fingerprintjs/fingerprintjs": "^2.1.4",
    "antd": "^4.7.0",
    "apollo-link-logger": "^2.0.0",
    "chokidar": "^3.4.3",
    "dbffile": "^1.4.3",
    "dinero.js": "^1.8.1",
    "dotenv": "^8.2.0",
    "electron-is-dev": "^1.2.0",
    "electron-log": "^4.2.4",
    "electron-reload": "^1.5.0",
    "electron-store": "^6.0.1",
    "electron-updater": "^4.3.5",
    "firebase": "^7.23.0",
    "graphql": "^15.3.0",
    "lodash": "^4.17.20",
    "moment": "^2.29.1",
    "node-notifier": "^8.0.0",
    "node-sass": "^4.14.1",
    "query-string": "^6.13.5",
    "react": "^16.13.1",
    "react-dom": "^16.13.1",
    "react-infinite-scroller": "^1.2.4",
    "react-redux": "^7.2.1",
    "react-router-dom": "^5.2.0",
    "react-scripts": "3.4.3",
    "redux": "^4.0.5",
    "redux-persist": "^6.0.0",
    "redux-saga": "^1.1.3",
    "reselect": "^4.0.0",
    "subscriptions-transport-ws": "^0.9.18"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "react-scripts test",
    "eject": "react-scripts eject",
    "dev": "concurrently -k \"npm start\" \"npm:electron\"",
    "electron": "wait-on tcp:3000 && electron .",
    "pack": "electron-builder --dir",
    "dist": "electron-builder",
    "postinstall": "electron-builder install-app-deps"
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "concurrently": "^5.3.0",
    "electron": "^10.1.3",
    "electron-builder": "^22.9.1",
    "electron-devtools-installer": "^3.1.1",
    "enzyme": "^3.11.0",
    "enzyme-adapter-react-16": "^1.15.5",
    "redux-logger": "^3.0.6",
    "wait-on": "^5.2.0"
  },
  "build": {
    "extends": null,
    "appId": "com.imex.rps",
    "files": [
      "build/**",
      "electron/**",
      "src/ipc.types.js",
      "src/assets/**"
    ],
    "publish": [
      {
        "provider": "generic",
        "url": "https://update.rps.bodyshop.app"
      }
    ],
    "win": {
      "target": "nsis",
      "icon": "src/icons/win/icon.ico"
    },
    "dmg": {
      "contents": [
        {
          "x": 110,
          "y": 150
        },
        {
          "x": 240,
          "y": 150,
          "type": "link",
          "path": "/Applications"
        }
      ]
    },
    "linux": {
      "target": [
        "AppImage",
        "deb"
      ]
    }
  }
}
